package eu.openaire.urls_controller.controllers;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("")
public class GeneralController {

    private static final Logger logger = LoggerFactory.getLogger(GeneralController.class);


    @GetMapping("isAlive")
    public ResponseEntity<?> isControllerAlive() {
        logger.info("Received an \"isAlive\" request.");
        return ResponseEntity.ok().build();
    }


    @GetMapping("getWorkersInfo")
    public ResponseEntity<?> getWorkersInfo()
    {
        if ( UrlsController.workersInfoMap.isEmpty() )
            return ResponseEntity.noContent().build();

        return ResponseEntity.ok(UrlsController.workersInfoMap);
    }

}
